[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'charset' (#rtl)

# loadbinaryunicodemapping

Load binary single-byte codepage to Unicode map from file or memory

## Declaration

Source position: charset.pp line 68

`function loadbinaryunicodemapping(`
`const directory: string;`
`const cpname: string`
`):punicodemap; overload; function loadbinaryunicodemapping(`
`const filename: string`
`):punicodemap; overload; function loadbinaryunicodemapping(`
`const AData: Pointer;`
`const ADataLength: Integer`
`):punicodemap; overload;`

## Arguments

`directory` |  | Directory in which to search file
`cpname` |  | Code page name

## Function result

Pointer to single-byte codepage to Unicode map.

## Arguments

`filename` |  | Filename to load

## Arguments

`AData` |  | Memory block to load
`ADataLength` |  | Length of AData memory block.

## Description

loadbinaryunicodemapping loads a binary description of a single-byte Unicode mapping. The mapping can reside in a file, in which case the file to load can be specified using a filename filename or using a directory directory and codepage name cpname. In the latter case, a suffix consisting of _le or _be depending on the endianness of the current platform will be appended, and the filename extension is .bcm. Note that the file names may be case sensitive.

The data can also be loaded from a memory block AData with size ADataLength.

It will produce an in-memory map of the file. It returns a pointer to the map, or Nil if something went wrong. The resulting mapping can be registered using registermapping.

## Errors

On error, Nil is returned.

## See also

loadunicodemapping |  | Load textual single-byte codepage to Unicode map from file
registermapping |  | Register mapping